Generate Suggestions
POST
/api/canvas/{deal_id}/sections/{section_key}/suggestions
const url = 'https://example.com/api/canvas/example/sections/example/suggestions';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"content":"example","max_suggestions":5}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/canvas/example/sections/example/suggestions \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "content": "example", "max_suggestions": 5 }'Generate inline AI suggestions for a section’s content.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”deal_id
required
Deal Id
string
section_key
required
Section Key
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
SuggestionRequest
object
content
required
Content
string
max_suggestions
Max Suggestions
integer
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Examplegenerated
exampleValidation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}